import os
from menu import Menu, MenuItem, MenuType
from cinput import ControlInput
from graphics import Graphics

menu_config = [
        MenuItem("Information",
            MenuType.EXEC_PLUGIN),
        MenuItem("Apps",
            MenuType.SUB_MENU),
        MenuItem("Reboot",
            MenuType.EXEC_CMD),
        MenuItem("Shutdown",
            MenuType.EXEC_CMD)]

cinput = ControlInput()
graphics = Graphics()
menu = Menu(menu_config, cinput, graphics)
try:
    menu.get_selection()
except KeyboardInterrupt:
    graphics.clear()
    graphics.show()
    os._exit(0)
